Returns a list of files in the given directory

- « ftp_nb_put

- ftp_pasv »

- PHP Manual
- FTP Functions
- Returns a list of files in the given directory

# ftp_nlist

(PHP 4, PHP 5, PHP 7, PHP 8)

ftp_nlist — Returns a list of files in the given directory

### Description

ftp_nlist(FTP\Connection `$ftp`, string `$directory`): array|false

### Parameters

`ftp`

  An FTP\Connection instance.

`directory`

  The directory to be listed. This parameter can also include arguments, eg. `ftp_nlist($ftp, "-la /your/dir");`. Note that this parameter isn't escaped so there may be some issues with filenames containing spaces and other characters.

### Return Values

Returns an array of filenames from the specified directory on success or `false` on error.

### Changelog

Version | Description
--- | ---
8.1.0 | The `ftp` parameter expects an FTP\Connection instance now; previously, a resource was expected.

### Examples

Example #1 ftp_nlist() example

    <?php// set up basic connection$ftp = ftp_connect($ftp_server);// login with username and password$login_result = ftp_login($ftp, $ftp_user_name, $ftp_user_pass);// get contents of the current directory$contents = ftp_nlist($ftp, ".");// output $contentsvar_dump($contents);?>

The above example will output something similar to:

    array(3) {
      [0]=>
      string(11) "public_html"
      [1]=>
      string(10) "public_ftp"
      [2]=>
      string(3) "www"

### See Also

- ftp_rawlist() - Returns a detailed list of files in the given directory
- ftp_mlsd() - Returns a list of files in the given directory